# B/Version File Reference

`#include <osgDB/Export>`

Include dependency graph for B/Version:

This graph shows which files directly or indirectly include this file:

## Defines

#define | OSGDB_VERSION 1

## Functions

OSGDB_EXPORT const char * | osgDBGetVersion ()
| osgDBGetVersion() returns the library version number.
OSGDB_EXPORT const char * | osgDBGetLibraryName ()
| getLibraryName() returns the library name in human friendly form.

## Define Documentation

#define OSGDB_VERSION 1

## Function Documentation

OSGDB_EXPORT const char* osgDBGetLibraryName | ( |  | ) |

| getLibraryName() returns the library name in human friendly form.

OSGDB_EXPORT const char* osgDBGetVersion | ( |  | ) |

osgDBGetVersion() returns the library version number.

Numbering convention : osg_src-0.8.31 will return 0.8.31 from getVersion_osg.

This C function can be also used to check for the existence of the OpenSceneGraph library using autoconf and its m4 macro AC_CHECK_LIB.

Here is the code to add to your configure.in:

     #
     # Check for the OpenSceneGraph (OSG) library
     #
     AC_CHECK_LIB(osg, osgDBGetVersion, ,
        [AC_MSG_ERROR(OpenSceneGraph DB library not found. See http://www.openscenegraph.org)],)